[Contents] [Back] [Prev] [Up] [Next] [Forward]

# Package Gtk.Data

Abstract class for objects containing data This object is currently not very useful since it only provides a single "disconnect" signal.

This is the "Model" in the Model/View/Controller framework.

- Gtk.Data Widget Hierarchy
- Gtk.Data Signals
- Gtk.Data Subprograms

## Widget Hierarchy

    Gtk_Object                    (see section Package Gtk.Object)
       \___ Gtk_Data              (see section Package Gtk.Data)

## Signals

- "disconnect" procedure Handler (Data : access Gtk_Data_Record'Class);
  Emitted just before Data is destroyed.

## Subprograms

    function Get_Type              return Gtk.Gtk_Type;

| Return the internal value associated with a Gtk_Data.

[Contents] [Back] [Prev] [Up] [Next] [Forward]